package nl.utwente.mod4.pokemon.dao;

import com.fasterxml.jackson.databind.ObjectMapper;
import nl.utwente.mod4.pokemon.model.PokemonType;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class PokemonTypeDao {

    private static final String filePath = PokemonTypeDao.class.getClassLoader().getResource("/aggregated-and-filtered-pokemon-dataset.json").getPath();

    public List<PokemonType> loadPokemonType() throws IOException {
        ObjectMapper mapper = new ObjectMapper();
        return mapper.readValue(new File(filePath), new ArrayList<PokemonType>().getClass());
    }

}
